using System;
using System.Collections.ObjectModel;
using NinjaTrader.Cbi;

internal sealed class Delegate739 : MulticastDelegate
{
	public extern Collection<Execution> Invoke(Account account_0, Instrument instrument_0, DateTime dateTime_0, DateTime dateTime_1);

	public static Collection<Execution> smethod_0(Account account_0, Instrument instrument_0, DateTime dateTime_0, DateTime dateTime_1, Delegate739 delegate739_1)
	{
		return delegate739_1(account_0, instrument_0, dateTime_0, dateTime_1);
	}

	public extern Delegate739(object object_0, IntPtr intptr_0);

	static Delegate739()
	{
		Class10.smethod_13(typeof(Delegate739).TypeHandle);
	}

	internal static Delegate739 delegate739_0;
}
